# Uses of Interface
org.eclipse.core.resources.IMarkerDelta

Packages that use IMarkerDelta
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IMarkerDelta in org.eclipse.core.resources

Methods in org.eclipse.core.resources that return IMarkerDelta
Modifier and Type
Method
Description
`IMarkerDelta[]`
IResourceChangeEvent.`findMarkerDeltas(String type, boolean includeSubtypes)`
Returns all marker deltas of the specified type that are associated with resource deltas for this event.
`IMarkerDelta[]`
IResourceDelta.`getMarkerDeltas()`
Returns the changes to markers on the corresponding resource.

## Uses of IMarkerDelta in org.eclipse.debug.core

Methods in org.eclipse.debug.core with parameters of type IMarkerDelta
Modifier and Type
Method
Description
`void`
IBreakpointListener.`breakpointChanged(IBreakpoint breakpoint, IMarkerDelta delta)`
Notifies this listener that an attribute of the given breakpoint has changed, as described by the delta.
`void`
IBreakpointListener.`breakpointRemoved(IBreakpoint breakpoint, IMarkerDelta delta)`
Notifies this listener that the given breakpoint has been removed from the breakpoint manager.
`void`
IBreakpointsListener.`breakpointsChanged(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)`
Notifies this listener that the given breakpoints have changed, as described by the corresponding deltas.
`void`
IBreakpointsListener.`breakpointsRemoved(IBreakpoint[] breakpoints, IMarkerDelta[] deltas)`
Notifies this listener that the given breakpoints have been removed from the breakpoint manager.

## Uses of IMarkerDelta in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type IMarkerDelta
Modifier and Type
Method
Description
`protected void`
ResourceMarkerAnnotationModel.`update(IMarkerDelta[] markerDeltas)`
Updates this model to the given marker deltas.